Summary:        RPM kioslave for KDE
Name:           kio_rpm
Version:        0.0.6
Release:        6mdk
License:        GPL
Group:          Graphical desktop/KDE
URL:            http://home.t-online.de/home/f_bachmann/kiorpm.html
Source0:        %{name}-%{version}a.tar.bz2
Patch0:			kio_rpm-fix-admin.patch.bz2
Patch1:			kio_rpm-fix-admin2.patch.bz2
Patch2:			kio_rpm-fix-compile-kde3.patch.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  XFree86-devel, zlib-devel, libqt3-devel, gettext, sed
BuildRequires:  kdelibs-devel, libarts-devel, libpng-devel, libjpeg-devel
Requires:       kdelibs >= 3

%description
Kio_rpm is a kioslave which provides detailed information about an RPM 
(RedHat Package Manager) database. You can use it to browse through installed 
package groups and to display details on individual packages 
(such as general package information, files included with a package, 
which packages and libraries a package depends on, etc.) on an RPM-based 
system. By entering rpm:/ into Konqueror's address bar, 
you can browse the RPM group hierarchy, or by entering rpm:bash, 
you can obtain details for the bash package. Currently kio_rpm has the 
following limitations: it is read-only (no package management); 
it requires rpm >= 4.0; and it supports only English packages. 


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# laurent regenrate makefile to support kde3
make -f Makefile.cvs
./configure --prefix=%_prefix --enable-final --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%buildroot install

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files  -f %{name}.lang
%defattr(755,root,root)
#%doc AUTHORS ChangeLog COPYING FAQ INSTALL README TODO
%defattr(-,root,root)
%_libdir/*.la
%_libdir/*.so

%dir %_datadir/apps/kio_rpm/
%_datadir/apps/kio_rpm/*.png
%_datadir/apps/kio_rpm/*.css
%_datadir/services/*.protocol

%_datadir/apps/konqueror/dirtree/*.desktop
%changelog
* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.6-6mdk
- Rebuild

* Mon Aug 19 2002 Laurent Culioli <laurent@pschit.net> 0.0.6-5mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.6-4mdk
- Rebuild against gcc-3.2

* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- fix build

* Mon Jun 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.6-2mdk
- Fix description bug reported by Goetz Waschk <waschk@informatik.uni-rostock.de>

* Mon Jun 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.6-1mdk
- Port to kde3


